| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | List of all members
cv::TrackerStateEstimatorMILBoosting Class Reference
Tracking API

TrackerStateEstimator based on Boosting. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerStateEstimatorMILBoosting:

## Classes
class | TrackerMILTargetState

## Public Member Functions
| TrackerStateEstimatorMILBoosting (int nFeatures=250)
| Constructor. More...
| ~TrackerStateEstimatorMILBoosting ()
void | setCurrentConfidenceMap (ConfidenceMap &confidenceMap)
| Set the current confidenceMap. More...
Public Member Functions inherited from cv::TrackerStateEstimator
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state. More...
String | getClassName () const
| Get the name of the specific TrackerStateEstimator. More...
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores. More...

## Protected Member Functions
Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE
void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerStateEstimator
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type. More...
Protected Attributes inherited from cv::TrackerStateEstimator
String | className

## Detailed Description

TrackerStateEstimator based on Boosting.

## Constructor & Destructor Documentation

## § TrackerStateEstimatorMILBoosting()

cv::TrackerStateEstimatorMILBoosting::TrackerStateEstimatorMILBoosting | ( | int | nFeatures = `250` | ) |

Constructor.

Parameters

  nFeatures | Number of features for each sample

## § ~TrackerStateEstimatorMILBoosting()

cv::TrackerStateEstimatorMILBoosting::~TrackerStateEstimatorMILBoosting | ( |  | ) |

## Member Function Documentation

## § estimateImpl()

Ptr<TrackerTargetState> cv::TrackerStateEstimatorMILBoosting::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

## § setCurrentConfidenceMap()

void cv::TrackerStateEstimatorMILBoosting::setCurrentConfidenceMap | ( | ConfidenceMap & | confidenceMap | ) |

Set the current confidenceMap.

Parameters

  confidenceMap | The current :cConfidenceMap

## § updateImpl()

void cv::TrackerStateEstimatorMILBoosting::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp